diff a/test/hotspot/jtreg/runtime/cds/appcds/preloadedClasses/GoodOldClass.jasm b/test/hotspot/jtreg/runtime/cds/appcds/preloadedClasses/GoodOldClass.jasm
--- /dev/null
+++ b/test/hotspot/jtreg/runtime/cds/appcds/preloadedClasses/GoodOldClass.jasm
@@ -0,0 +1,35 @@
+/*
+ * Copyright (c) 2023, Oracle and/or its affiliates. All rights reserved.
+ * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
+ */
+
+// When -XX:+PreloadSharedClasses is enabled, this class will be
+// archived in the unlinked state. When we try to use this class
+// at runtime, a VerifyError should be thrown.
+
+super public class GoodOldClass
+	version 49:0
+{
+
+
+public Method "<init>":"()V"
+	stack 1 locals 1
+{
+		aload_0;
+		invokespecial	Method java/lang/Object."<init>":"()V";
+		return;
+}
+
+
+public static Method doit:"()LVehicle;"
+	stack 2 locals 1
+{
+                new	class Car;
+		dup;
+		invokespecial	Method Car."<init>":"()V";
+		astore_0;
+		aload_0;
+		areturn;   // tries to return a Car as a Vehicle
+}
+
+}
